# $Id: pe-hiera-eyaml.spec 1364 2013-11-03 18:09:32Z rpmbuild $
# repo: RE
# restrictions:

%global commit 67c6d9a6822381b0c766222cf6a303dd10a6dc50
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global p_vendor         pe

%if 0%{?p_vendor:1}
  %global _orig_prefix %{_prefix}
  %global name_prefix  %{p_vendor}-

  %define _lib lib

  # Override _prefix last, so we can get the _real_* locations.
  %define _prefix       /opt/puppet
  %define _libdir       %{_prefix}/lib
  %define _bindir       %{_prefix}/bin
  %define _sysconfdir   /etc/puppetlabs
%endif

%define ruby            %{_bindir}/ruby

# Fedora 17 ships with ruby 1.9, which uses vendorlibdir instead
# of sitelibdir
%if 0%{?fedora} >= 17
%global hiera_libdir   %(%{ruby} -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
%else
%global hiera_libdir   %(%{ruby} -rrbconfig -e 'puts RbConfig::CONFIG["sitelibdir"]')
%endif

Summary: OpenSSL Encryption backend for Hiera
Name: pe-hiera-eyaml
Version: 1.3.4
Release: %RErelease 1
Group: System Environment/Base
License: MIT
URL: http://github.com/TomPoulton/hiera-eyaml
Source0: https://github.com/sihil/hiera-eyaml-gpg/archive/%{commit}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: %{?name_prefix}ruby
BuildRequires: rpm-macros-razorsedge
Requires: %{?name_prefix}ruby
Requires: %{?name_prefix}hiera
Requires: %{?name_prefix}rubygem-highline >= 1.6.19
Requires: %{?name_prefix}rubygem-trollop >= 1.16.2
#Requires: %{?name_prefix}rubygem-trollop >= 2.0
BuildArch: noarch

%description
A backend for Hiera that provides per-value asymmetric encryption of sensitive
data within YAML type files to be used by Puppet. The Hiera eYaml backend uses
YAML formatted files with the .eyaml extension. Simply prefix your encrypted
string with the encryption method (PKCS7,) wrap it with ENC[] and place it in
an eyaml file. You can mix your plain values in as well or separate them into
different files.

%prep
%setup -q -n hiera-eyaml-%{commit}

%build

%install
export PATH=/opt/puppet/bin:$PATH
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{hiera_libdir}
%{__cp} -pr lib/hiera $RPM_BUILD_ROOT/%{hiera_libdir}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__cp} -p bin/* $RPM_BUILD_ROOT/%{_bindir}
%{__chmod} a+x $RPM_BUILD_ROOT/%{_bindir}/*

%{__chmod} -R g-w $RPM_BUILD_ROOT

# Fix shebang line of scripts
for file in `find $RPM_BUILD_ROOT%{_prefix} -type f`; do
    sed -i -e '1s,^#!.*ruby$,#!%{_bindir}/ruby,' $file
done

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.txt PLUGINS.md
%{hiera_libdir}/hiera
%{_bindir}/eyaml

%changelog
* Sat Nov 02 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.3.4-1
- First build.

